/* --- Import VT323 depuis Google Fonts --- */
@import url('https://fonts.googleapis.com/css2?family=VT323&display=swap');

/* --- Couleurs et style global --- */
body {
  margin: 0;
  padding: 20px;
  background: hsl(154 50% 5%);
}

/* --- Style des blocs terminal --- */
.terminal {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;

  max-width: 50vw;
  margin: 0 auto;
  padding: 1vw;
  background-color: hsl(154 50% 5%);
  color: #00FF00;
  font-size: 1.5vw;
  line-height: 1.5;

  /* justification */
  text-align: justify;
  text-justify: inter-word;

  text-shadow: 0 0 .3vw hsl(154 84% 70%);
}

/* --- Polices IBM PC / Terminal --- */
.font-terminus {
  font-family: 'VT323', monospace;
}

pre {
  white-space: pre-wrap;
  overflow-wrap: break-word;
  color: hsl(154 84% 70%);
  text-shadow: 0 0 5px hsl(154 84% 70%);
}

.title {
  text-align: center;
  font-size: .8vw;
}

.separator {
  border: none;
  height: 2px;
  background-color: #00FF00;
  width: 80%;
  margin: 0 auto;
}

html, body {
  margin: 0;
  height: 100%;
  overflow: hidden;
}

/* CONTENU CENTRAL */
#center {
  position: absolute;
  top: 0;
  left:50%;
  transform: translate(-50%, 0);

  width: 50%;
  height: 100vh;
  background-color: hsl(154 50% 5%);
  overflow-y: auto;
  scrollbar-width: none;
  -ms-overflow-style: none;
}

#center::-webkit-scrollbar {
  display: none;
}

.centered {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  text-align: center;
}

/* --- Link customization --- */

.nav-links {
  text-align: center;
  display: flex;
  flex-direction: row;
  gap: 4vw;
  margin-bottom: 1vw;
}

/* Make visited links look the same as normal links */
a:visited {
  color: #0f0;       /* same as default color */
}

/* Optional: prevent color change when clicking or hovering */
a:active,
a:hover {
  color: #0f0;       /* keep same color on click/hover */
}

.prevent-select {
  -webkit-user-select: none; /* Safari */
  -ms-user-select: none; /* IE 10 and IE 11 */
  user-select: none; /* Standard syntax */
}

#flag {
	font-family: monospace;
	font-size: 2vh;
	background: #1f202f;
	color:#00FF00;
	padding: .5vh .5vw;
	border-radius: .5vw;
  border: 1px solid #373745;
}

.ascii-container {
  display: flex;
  justify-content: center;
}

.ascii-container pre {
  text-align: left;
}

#matrix {
  position: absolute;
  height: 100vh;
  width: 100vw;
  top: 0;
  left: 0;
  z-index: -1;

  color: hsl(154 84% 70%);
  text-shadow: 0 0 5px #0f0;
}

.pages-container {
  margin: 1vh 0;
  display: flex;
  flex-wrap: wrap;
  gap: 1vh;
  justify-content: center;
  width: 35vw;
}

.pages-container a {
  font-size: 1.5vw;
  text-decoration: none; /* remove underline */
  font-family: 'VT323', 'Monaco', 'Courier New', monospace;
  padding: 1vh;
  text-decoration: underline;
  
  color: #0f0;       /* default link color */
  text-shadow: 0 0 .3vw hsl(154 84% 70%);
}

.pages-title {
  font-family: 'VT323', 'Monaco', 'Courier New', monospace;
  font-size: 200%;
  color: #007BFF;
  margin-bottom: -.5vh;
}

.home-link,
.home-link:visited,
.home-link:hover,
.home-link:active,
.home-link:focus {
  text-decoration: none;
  color: #0f0;
  display: inline-block;
}

.home-icon {
	position: absolute;
	top: 1vw;
	left: 1vw;
	user-select: none;
	font-family: monospace;
	font-weight: 900;
	margin: 0;
	background-color: hsl(154 50% 5%);
	padding: .3vw;
	border: .01vw solid hsl(154 84% 70%);
	font-size: .5vw;
  z-index: 9999;
}